### Method

# Ide BufferAddin style_scheme_changed

#### Declaration

    void
    ide_buffer_addin_style_scheme_changed (
      IdeBufferAddin* self,
      IdeBuffer* buffer
    )

#### Description

This function is called when the `GtkSourceStyleScheme` of the `IdeBuffer` has changed.

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.